%global githash 17204346c4703a9aca18f49609358f3a9085c65a
Name:          protobuf-java-format
Version:       1.4
Release:       5%{?dist}
Summary:       Serialization and de-serialization of different formats
License:       BSD
URL:           https://github.com/bivas/protobuf-java-format
Source0:       https://github.com/bivas/protobuf-java-format/archive/%{githash}/%{name}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-core)
BuildRequires: mvn(com.fasterxml.jackson.dataformat:jackson-dataformat-smile)
BuildRequires: mvn(com.google.protobuf:protobuf-java)
BuildRequires: mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires: mvn(org.hamcrest:hamcrest-core)
BuildRequires: mvn(org.mockito:mockito-all)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
BuildRequires: mvn(org.testng:testng)
BuildRequires: protobuf-compiler

BuildArch:     noarch

%description
Provide serialization and de-serialization of different formats
based on Google’s Protobuf Message. Enables overriding the
default (byte array) output to text based formats such as XML,
JSON and HTML.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{githash}

# Unavailable
%pom_remove_plugin :nexus-staging-maven-plugin
# Unwanted
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-source-plugin

%mvn_file : %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md RELEASE-NOTES.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Aug 14 2016 gil cattaneo <puntogil@libero.it> 1.4-2
- Initial import (#1363921).
- some review fixes

* Tue Jul 12 2016 gil cattaneo <puntogil@libero.it> 1.4-1
- initial rpm
